#import "NetTalk.h"
#import <objc/Object.h>

@class View;

@interface TalkRequest : Object
{
	View   *document;
	char   *topic;
	char   *code;
	char   *clientUName;
}

- initFor:(View *)aDocument
	from:(const char *)aUName
	code:(const char *)aCode
	topicIs:(const char*)aTopic;

- free;

- (View *)requestDocument;
- (const char *)requestUName;
- (const char *)requestCode;
- (const char *)requestTopic;

@end
